Bug 1298120 - [RFE] Support for hooks in the guest agent
[RFE] Support for hooks in the guest agent
Status: CLOSED CURRENTRELEASE
Product: ovirt-guest-agent
Classification: oVirt
Component: RFEs (Show other bugs)
---
Unspecified Unspecified
high Severity high (vote)
: ovirt-4.0.0-beta
: 1.0.12-1
Assigned To: Vinzenz Feenstra [evilissimo]
Petr Matyáš
: FutureFeature, Reopened
Depends On: 1342534 1344361 1346194 1347272 1349277 1349907
Blocks: 1287544 1425314
  Show dependency treegraph
 
Reported: 2016-01-13 05:07 EST by Vinzenz Feenstra [evilissimo]
Modified: 2017-02-21 02:44 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Doc Text in https://bugzilla.redhat.com/show_bug.cgi?id=1287544
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-01 08:26:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.0.0+
rule-engine: blocker+
pmatyas: testing_plan_complete+
rule-engine: planning_ack+
michal.skrivanek: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 51771 master MERGED Implementation for guest agent hook points 2016-05-19 02:48 EDT
oVirt gerrit 51780 master MERGED virt: Add new guest agent API function for lifecycle-events 2016-05-08 09:47 EDT
oVirt gerrit 51781 master MERGED virt: Introduction of the GuestAgentEvents class 2016-05-08 09:47 EDT
oVirt gerrit 51782 master MERGED virt: Add the migration/hibernation event handling (GuestAgent) 2016-05-08 09:48 EDT
oVirt gerrit 53523 master MERGED virt: Pass effective guest agent API version during migration 2016-05-08 09:47 EDT
oVirt gerrit 53524 master MERGED agent: Guest agent reply capability support 2016-05-08 09:47 EDT
oVirt gerrit 54753 master MERGED agent: Introduction of first_connect event 2016-05-08 09:47 EDT
oVirt gerrit 57365 master MERGED linux: Default flush caches hook for the guest agent 2016-05-19 05:29 EDT

  None (edit)
Description Vinzenz Feenstra [evilissimo] 2016-01-13 05:07:18 EST
Certain types of applications on guest operating systems are sticky to the hypervisor or network - For those kind of applications a live migration can cause the application to stop functioning.

This feature will allow the guest operating system to be notified about events happening.

We'll start with the following events:

- before_migration
- after_migration

A default hook will be provided for before migration which will flushes the caches on the guest operating system
Comment 1 Mike McCune 2016-03-28 19:43:17 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 2 Sandro Bonazzola 2016-05-02 05:49:33 EDT
Moving from 4.0 alpha to 4.0 beta since 4.0 alpha has been already released and bug is not ON_QA.
Comment 3 Michal Skrivanek 2016-05-18 13:37:47 EDT
dependency of migration enhancements. All code in except guest agent which is released async anyway
Comment 4 Fedora Update System 2016-05-19 10:33:05 EDT
ovirt-guest-agent-1.0.12-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-499f565210
Comment 5 Fedora Update System 2016-05-19 10:33:26 EDT
ovirt-guest-agent-1.0.12-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f9b70109a9
Comment 6 Fedora Update System 2016-05-19 10:33:47 EDT
ovirt-guest-agent-1.0.12-1.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0f1b2c6aca
Comment 7 Fedora Update System 2016-05-19 10:34:10 EDT
ovirt-guest-agent-1.0.12-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-52ef7b1260
Comment 8 Fedora Update System 2016-05-19 10:34:31 EDT
ovirt-guest-agent-1.0.12-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-73f421c9e9
Comment 9 Fedora Update System 2016-05-20 21:32:24 EDT
ovirt-guest-agent-1.0.12-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-52ef7b1260
Comment 10 Fedora Update System 2016-05-20 22:27:05 EDT
ovirt-guest-agent-1.0.12-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f9b70109a9
Comment 11 Fedora Update System 2016-05-21 01:48:04 EDT
ovirt-guest-agent-1.0.12-1.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0f1b2c6aca
Comment 12 Fedora Update System 2016-05-21 01:49:35 EDT
ovirt-guest-agent-1.0.12-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-499f565210
Comment 13 Fedora Update System 2016-05-21 02:22:25 EDT
ovirt-guest-agent-1.0.12-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-73f421c9e9
Comment 14 Fedora Update System 2016-05-23 03:15:20 EDT
ovirt-guest-agent-1.0.12-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4e53ce39a6
Comment 15 Fedora Update System 2016-05-23 03:15:44 EDT
ovirt-guest-agent-1.0.12-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-b707abcf0f
Comment 16 Fedora Update System 2016-05-23 03:16:09 EDT
ovirt-guest-agent-1.0.12-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-753af77897
Comment 17 Fedora Update System 2016-05-23 22:52:25 EDT
ovirt-guest-agent-1.0.12-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4e53ce39a6
Comment 18 Fedora Update System 2016-05-23 22:56:45 EDT
ovirt-guest-agent-1.0.12-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-753af77897
Comment 19 Fedora Update System 2016-05-24 02:19:42 EDT
ovirt-guest-agent-1.0.12-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-b707abcf0f
Comment 20 Fedora Update System 2016-06-21 04:05:22 EDT
ovirt-guest-agent-1.0.12-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ddb2d7b43b
Comment 21 Fedora Update System 2016-06-21 04:05:47 EDT
ovirt-guest-agent-1.0.12-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-40b51529ad
Comment 22 Fedora Update System 2016-06-21 04:06:10 EDT
ovirt-guest-agent-1.0.12-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9524b795a2
Comment 23 Fedora Update System 2016-06-21 04:06:32 EDT
ovirt-guest-agent-1.0.12-2.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c952eb96e6
Comment 24 Fedora Update System 2016-06-21 04:06:53 EDT
ovirt-guest-agent-1.0.12-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8861978763
Comment 25 Fedora Update System 2016-06-21 04:22:20 EDT
ovirt-guest-agent-1.0.12-3.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c4aff834f8
Comment 26 Fedora Update System 2016-06-21 21:48:27 EDT
ovirt-guest-agent-1.0.12-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8861978763
Comment 27 Fedora Update System 2016-06-21 22:19:11 EDT
ovirt-guest-agent-1.0.12-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ddb2d7b43b
Comment 28 Fedora Update System 2016-06-21 22:26:41 EDT
ovirt-guest-agent-1.0.12-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-40b51529ad
Comment 29 Fedora Update System 2016-06-21 22:54:28 EDT
ovirt-guest-agent-1.0.12-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9524b795a2
Comment 30 Fedora Update System 2016-06-21 23:17:58 EDT
ovirt-guest-agent-1.0.12-3.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c4aff834f8
Comment 31 Fedora Update System 2016-07-11 19:18:00 EDT
ovirt-guest-agent-1.0.12-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 32 Fedora Update System 2016-07-11 19:20:19 EDT
ovirt-guest-agent-1.0.12-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 33 Fedora Update System 2016-07-11 22:26:10 EDT
ovirt-guest-agent-1.0.12-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 34 Fedora Update System 2016-07-12 01:47:29 EDT
ovirt-guest-agent-1.0.12-3.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.
Comment 35 Fedora Update System 2016-07-12 11:08:20 EDT
ovirt-guest-agent-1.0.12-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 36 Petr Matyáš 2016-07-27 07:56:51 EDT
Migration hooks are working correctly. Hibernation ones are not at this moment, but there is another RFE (bug 1349907) for that.

Note You need to log in before you can comment on or make changes to this bug.